# Cancel order

To use this feature you must have the API key. Read [here](broken://pages/GfKv0bUp3AY62NRSMDOW) to view how to get our API key.

## Link API Postman

## Cancel order

You can only cancel orders that are in **Pending** status and have not been matched yet.

<mark style="color:orange;">`POST`</mark> `https://api.tronsave.io/v0/fast-charge-order-cancel`

Cancel order by [API key](broken://pages/GfKv0bUp3AY62NRSMDOW)

Rate limi&#x74;***: 1** request per **2** seconds*

**Headers**

<table><thead><tr><th width="131"> Name</th><th width="135">Type</th><th>Description</th></tr></thead><tbody><tr><td>apikey<mark style="color:red;">*</mark></td><td>String</td><td>Tronsave API key that present for the internal account</td></tr></tbody></table>

**Request Body**

<table><thead><tr><th width="190">Name</th><th width="164">Type</th><th>Description</th></tr></thead><tbody><tr><td>order_ids</td><td>Array</td><td>Array orderID. A list of order IDs that have been create and need to check the status.</td></tr></tbody></table>

***Example***

{% tabs %}
{% tab title="Body" %}

```java
{
    "order_ids": [
        "673c17a3129f1881382e98e3"
    ]
}
```

{% endtab %}

{% tab title="Headers" %}

```java
{
  "apikey": <YOUR_API_KEY>
}
```

{% endtab %}

{% tab title="Success Response" %}

```java
{
    "cancel_results": [
        {
            "order_id": "673c17a3129f1881382e98e3",
            "is_success": true,
            "fail_reason": null
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tronsave.io/developer/fast-charge-api/cancel-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
